/*
 * Copyright (c) 2018-2999 广州亚米信息科技有限公司 All rights reserved.
 *
 * https://www.gz-yami.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

package com.yami.shop.bean.enums;

/**
 * 满减规则
 *
 */
public enum ProdType {
	/** 普通商品类型 */
	PROD_TYPE_NORMAL(0),

	/** 普通商品类型 */
	PROD_TYPE_GROUP(1),

	/** 秒杀商品类型 */
	PROD_TYPE_SECKILL(2),

	/** 积分商品类型 */
	PROD_TYPE_SCORE(3);

	private Integer num;

	public Integer value() {
		return num;
	}

	ProdType(Integer num){
		this.num = num;
	}
	
	public static ProdType instance(Integer value) {
		ProdType[] enums = values();
		for (ProdType statusEnum : enums) {
			if (statusEnum.value().equals(value)) {
				return statusEnum;
			}
		}
		return null;
	}
}
